Bug 201812 - infinite initializing tools collection on localhost.
infinite initializing tools collection on localhost.
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Toolchain
7.0
PC Solaris
: P2 (vote)
: 7.1
Assigned To: Alexander Simon
issues@cnd
oss_ide_customer, 701patch2-verified,...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-08 12:30 UTC by Alexander Simon
Modified: 2011-09-27 12:21 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
threads dump (17.37 KB, text/plain)
2011-09-08 12:31 UTC, Alexander Simon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2011-09-08 12:30:12 UTC
From customer Yevgen Ryazanov:

I started solstudio, then dropped a shared library to the main window.
IDE shows two messages:
    Creating project
    Initializing tools collection on localhost.
It took some time so I left it over night.  After 16+ hours the messages are the same.
Here's top output:
    994 eugene    16   0    0   0:00.00  0.0  5508 1148  812 S solstudio
   1186 eugene    16   0    0   4:56.86  0.1 1675m 222m  16m S java

I attached java stack.
Comment 1 Alexander Simon 2011-09-08 12:31:09 UTC
Created attachment 110528 [details]
threads dump
Comment 2 Alexander Simon 2011-09-08 12:43:18 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/e29e2ae96688
Comment 3 Quality Engineering 2011-09-09 15:05:43 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/e29e2ae96688
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201812 infinite initializing tools collection on localhost.
Comment 4 Andrew Krasny 2011-09-12 14:56:52 UTC
I agree with the fix. Looks safe.
Comment 5 Alexander Simon 2011-09-13 06:59:12 UTC
transplanted in releases_elif branch release701_fixes:
e29e2ae96688 transplanted to d7db280fffd9
Comment 6 Alexander Pepin 2011-09-21 11:37:25 UTC
can not reproduce the bug in OSS build 30
Comment 7 Quality Engineering 2011-09-26 13:31:45 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/d7db280fffd9
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201812 infinite initializing tools collection on localhost.
Comment 8 Alexander Pepin 2011-09-27 12:21:52 UTC
can not reproduce in OSS dev build based on 7.0.1 patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo